resources:
  - ../base

commonLabels:
  environment: local

nameSuffix: -local
namespace: barretthousen-local

patchesStrategicMerge:
  - debug-catalog.yaml
  - debug-runner.yaml
  - runner-secret.yaml
  - sync-cronjob.yaml
  - image-pull-secret.yaml
  - proxy-admin-secret.yaml
  - proxy-web-secret.yaml

patches:
  - target:
      kind: Ingress
      name: admin
    patch: |-
      - op: replace
        path: /spec/rules/0/host
        value: admin.localhost
  - target:
      kind: Ingress
      name: web
    patch: |-
      - op: replace
        path: /spec/rules/0/host
        value: bh.localhost
  - target:
      kind: Deployment
      name: admin-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/env/0/value
        value: http://proxy-admin-local
      - op: replace
        path: /spec/template/spec/containers/0/env/1/value
        value: http://admin.localhost:8000
  - target:
      kind: Deployment
      name: web-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/env/0/value
        value: http://proxy-web-local
      - op: replace
        path: /spec/template/spec/containers/0/env/1/value
        value: http://bh.localhost:8000
